<?xml version="1.0" encoding="utf-8"?>
<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/RelativeLayout1"
    android:background="@color/epson_lib_clear"
    android:padding="10dp"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <RelativeLayout
        android:orientation="vertical"
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <TextView
            android:textAppearance="?android:attr/textAppearanceMedium"
            android:id="@+id/password_message"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="10dp"
            android:layout_marginBottom="20dp"
            android:text="@string/memcard_password_input_message"
            android:layout_alignParentLeft="true"
            android:layout_alignParentTop="true" />

        <EditText
            android:id="@+id/memcardUsername"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="15dp"
            android:ems="10"
            android:maxLength="128"
            android:layout_toRightOf="@+id/textView1"
            android:layout_below="@+id/password_message"
            android:inputType="text">

            <requestFocus />
        </EditText>

        <EditText
            android:id="@+id/memcardPassword"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:ems="10"
            android:maxLength="64"
            android:layout_below="@+id/memcardUsername"
            android:layout_alignLeft="@+id/memcardUsername"
            android:layout_alignParentLeft="false"
            android:inputType="textPassword" />

        <TextView
            android:id="@+id/textView1"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/str_user_name"
            android:layout_alignBaseline="@+id/memcardUsername"
            android:layout_alignBottom="@+id/memcardUsername"
            android:layout_alignParentLeft="true" />

        <TextView
            android:id="@+id/textView2"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/str_enter_pass"
            android:layout_below="@+id/textView1"
            android:layout_alignBaseline="@+id/memcardPassword"
            android:layout_alignParentLeft="true" />

        <ImageButton
            android:id="@+id/imageButton1"
            android:visibility="gone"
            android:layout_width="25dp"
            android:layout_height="25dp"
            android:layout_marginTop="10dp"
            android:layout_marginRight="5dp"
            android:src="@android:drawable/ic_menu_close_clear_cancel"
            android:layout_alignRight="@+id/memcardUsername"
            android:layout_alignParentTop="false"
            android:layout_alignParentRight="false"
            android:layout_centerVertical="false" />

        <ImageButton
            android:id="@+id/imageButton2"
            android:visibility="gone"
            android:layout_width="25dp"
            android:layout_height="25dp"
            android:layout_marginTop="10dp"
            android:layout_marginRight="5dp"
            android:src="@android:drawable/ic_menu_close_clear_cancel"
            android:layout_alignTop="@+id/memcardPassword"
            android:layout_alignParentRight="true" />
    </RelativeLayout>
</ScrollView>
